Package fr.gouv.vitam.ingest.internal.client

# Interface IngestInternalClient

All Superinterfaces:
  `AutoCloseable`, `MockOrRestClient`, `VitamAutoCloseable`

All Known Implementing Classes:
  `IngestInternalClientMock`

public interface IngestInternalClient extends MockOrRestClient
Ingest Internal client interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<ItemStatus>`
  `cancelOperationProcessExecution(String id, boolean force)`
  cancelOperationProcessExecution : cancel processing operation
  `jakarta.ws.rs.core.Response`
  `downloadObjectAsync(String objectId, IngestCollection type)`
  Download object stored by ingest operation
  `RequestResponse<ItemStatus>`
  `getOperationProcessExecutionDetails(String id)`
  getOperationProcessExecutionDetails : get operation processing execution details
  `ItemStatus`
  `getOperationProcessStatus(String id)`
  getOperationProcessStatus: get operation process status**
  `RequestResponse<WorkFlow>`
  `getWorkflowDefinitions()`
  Retrieve all the workflow definitions.
  `Optional<WorkFlow>`
  `getWorkflowDetails(String WorkflowIdentifier)`
  `void`
  `initWorkflow(WorkFlow workFlow)`
  initWorkflow : init workFlow Process
  `RequestResponse<ProcessDetail>`
  `listOperationsDetails(ProcessQuery query)`
  Retrieve all the workflow operations
  `void`
  `saveObjectToWorkspace(String id, String objectName, InputStream inputStream)`
  `RequestResponse<ItemStatus>`
  `updateOperationActionProcess(String actionId, String operationId)`
  updateOperationActionProcess : update operation processing status
  `void`
  `upload(InputStream inputStream, jakarta.ws.rs.core.MediaType archiveType, WorkFlow workflow, String action)`
  Upload compressed SIP as stream
  `void`
  `uploadInitialLogbook(Iterable<LogbookOperationParameters> logbookParametersList)`
  Create only Logbook

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### upload

    void upload(InputStream inputStream, jakarta.ws.rs.core.MediaType archiveType, WorkFlow workflow, String action) throws VitamException
    Upload compressed SIP as stream
    Parameters:
      `inputStream` - SIP
      `archiveType` - is a format (mime type) of SIP (should be zip ,tar, tar.gz or tar.bz2)
      `workflow` - workflow information
      `action` - Identifier
    Throws:
      `VitamException` - if stream is null

  - ### uploadInitialLogbook

    void uploadInitialLogbook(Iterable<LogbookOperationParameters> logbookParametersList) throws VitamException
    Create only Logbook
    Parameters:
      `logbookParametersList` -
    Throws:
      `VitamException`

  - ### downloadObjectAsync

    jakarta.ws.rs.core.Response downloadObjectAsync(String objectId, IngestCollection type) throws InvalidParseOperationException, IngestInternalClientServerException, IngestInternalClientNotFoundException
    Download object stored by ingest operation
    Parameters:
      `objectId` -
      `type` -
    Returns:
      object as stream
    Throws:
      `InvalidParseOperationException`
      `IngestInternalClientServerException`
      `IngestInternalClientNotFoundException`

  - ### getOperationProcessStatus

    ItemStatus getOperationProcessStatus(String id) throws VitamClientException, InternalServerException, BadRequestException
    getOperationProcessStatus: get operation process status**
    Parameters:
      `id` - : operation identifier*
    Returns:
      ItemStatus response containing message and status*
    Throws:
      `VitamClientException`
      `InternalServerException`
      `BadRequestException`

  - ### getOperationProcessExecutionDetails

    RequestResponse<ItemStatus> getOperationProcessExecutionDetails(String id) throws VitamClientException
    getOperationProcessExecutionDetails : get operation processing execution details
    Parameters:
      `id` - : operation identifier
    Returns:
      Engine response containing message and status
    Throws:
      `VitamClientException`

  - ### cancelOperationProcessExecution

    RequestResponse<ItemStatus> cancelOperationProcessExecution(String id, boolean force) throws VitamClientException
    cancelOperationProcessExecution : cancel processing operation
    Parameters:
      `id` - operation identifier
      `force` - force operation if step is not cancellable
    Returns:
      ItemStatus response containing message and status
    Throws:
      `VitamClientException`

  - ### updateOperationActionProcess

    RequestResponse<ItemStatus> updateOperationActionProcess(String actionId, String operationId) throws VitamClientException
    updateOperationActionProcess : update operation processing status
    Parameters:
      `actionId` - : identify the action to be executed by the workflow(next , pause,resume)
      `operationId` - : operation identifier
    Returns:
      Response containing message and status
    Throws:
      `VitamClientException`

  - ### initWorkflow

    void initWorkflow(WorkFlow workFlow) throws VitamException
    initWorkflow : init workFlow Process
    Parameters:
      `workFlow` - information
    Throws:
      `VitamClientException`
      `VitamException`

  - ### listOperationsDetails

    RequestResponse<ProcessDetail> listOperationsDetails(ProcessQuery query) throws VitamClientException
    Retrieve all the workflow operations
    Parameters:
      `query` - Query model
    Returns:
      All details of the operations
    Throws:
      `VitamClientException`

  - ### getWorkflowDefinitions

    RequestResponse<WorkFlow> getWorkflowDefinitions() throws VitamClientException
    Retrieve all the workflow definitions.
    Returns:
      workflow definitions
    Throws:
      `VitamClientException`

  - ### getWorkflowDetails

    Optional<WorkFlow> getWorkflowDetails(String WorkflowIdentifier) throws VitamClientException
    Parameters:
      `WorkflowIdentifier` -
    Returns:
    Throws:
      `VitamClientException`

  - ### saveObjectToWorkspace

    void saveObjectToWorkspace(String id, String objectName, InputStream inputStream) throws VitamClientException
    Throws:
      `VitamClientException`